#ifndef __AIRPLAY_MULTI_RESOLVER_H__
#define __AIRPLAY_MULTI_RESOLVER_H__

#include <netdb.h>
#include <s3eSocket.h>

#ifdef __cplusplus
extern "C" {
#endif
typedef void (*airplay_multires_callback)(void *userdata, s3eInetIPAddress result);

void airplay_multires_init();
void airplay_multires_cleanup();

void airplay_multires_enqueue(const char *hostname,airplay_multires_callback cb,void *userdata);
int airplay_multires_unqueue(const char *hostname,airplay_multires_callback cb,void *userdata);
int airplay_multires_is_queued(const char *hostname,airplay_multires_callback cb,void *userdata);
int airplay_multires_release_results();

#ifdef __cplusplus
}
#endif

#endif // __AIRPLAY_MULTI_RESOLVER_H__